Package Details: gtk3-ubuntu-multilib 3.22.7-2

Git Clone URL: https://aur.archlinux.org/gtk3-ubuntu-multilib.git (read-only)
Package Base: gtk3-ubuntu-multilib
Description: GObject-based multi-platform toolkit (v3) from Ubuntu
Upstream URL: https://launchpad.net/ubuntu/+source/gtk+3.0/
Licenses: LGPL
Conflicts: gtk3
Provides: gtk3=3.22.7, gtk3-ubuntu=3.22.7
Submitter: quequotion
Maintainer: quequotion
Last Packager: quequotion
Votes: 0
Popularity: 0.000000
First Submitted: 2016-01-04 13:55
Last Updated: 2017-03-29 01:21

Required by (1000)

Sources (5)

Latest Comments

quequotion commented on 2017-03-29 01:56

3.22.7!

This package is intended primarily as a convenience, but it does a few things differently from the gtk3-ubuntu package in addition to building a lib32 package along side it:

All (working) patches from ubuntu are applied (for the moment that's all of them), not just a selection. This means a more ubuntu-like gtk3 experience (type-ahead find in file-chooser dialogs, etc).

The lib32 package retains /usr/bin/gtk-query-immodules-3.0-32. This is needed for using input methods (fcitx, ibus, etc) in 32bit applications.

quequotion commented on 2016-03-13 18:48

3.18.8!

quequotion commented on 2016-03-13 06:57

Nevermind, problem with conflicts() was quotes; a type-o I overlooked how many times?

Need to update to 3.18.7, but otherwise looking good. lib32 built for me.

quequotion commented on 2016-03-13 06:33

depends() and makedepends() simply mirror the native package's packaging.

I don't see a reason to change one and not the other.

Can you give more details about how and why the lib32 package failed for you?

horsemanoffaith commented on 2016-01-20 05:21

x86_64 package builds correctly. Lib32 package fails to build. Most of the dependencies listed in the lib32 section need to be moved to makedepends.

quequotion commented on 2016-01-16 18:55

Scratch that, I misread your post.

Still, conflicts and provides do honor this.

FadeMind commented on 2016-01-12 11:04

Conflicts and provides fields don't honor :
gtk{3{,-ubuntu},-update-icon-cache}

and You forgot comment out Build 32bit libraries line.

FIXED PKGBUILD: https://pastebin.com/K8BFtSPe